POST Api/Products?companyId={companyId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| companyId | integer |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of ProductListVm| Name | Description | Type | Additional information |
|---|---|---|---|
| ProductId | integer |
None. |
|
| ProductDescriptionShortLanguage01 | string |
None. |
|
| ProductDescriptionLongLanguage01 | string |
None. |
|
| ProductAlias | string |
None. |
|
| ProductCode | string |
None. |
|
| ProductBrand | string |
None. |
|
| ProductCodeSupplier | string |
None. |
|
| ProductCategory1 | string |
None. |
|
| ProductCategory2 | string |
None. |
|
| ProductCategory3 | string |
None. |
|
| ProductIsInUse | boolean |
None. |
|
| ProductDescriptionShortLanguage02 | string |
None. |
|
| ProductDescriptionLongLanguage02 | string |
None. |
|
| ProductDescriptionShortLanguage03 | string |
None. |
|
| ProductDescriptionLongLanguage03 | string |
None. |
|
| ProductDescriptionShortLanguage04 | string |
None. |
|
| ProductDescriptionLongLanguage04 | string |
None. |
|
| ProductDescriptionShortLanguage05 | string |
None. |
|
| ProductDescriptionLongLanguage05 | string |
None. |
|
| ProductDescriptionShortLanguage06 | string |
None. |
|
| ProductDescriptionLongLanguage06 | string |
None. |
|
| ProductSalesPrice | decimal number |
None. |
|
| ProductPurchasePrice | decimal number |
None. |
|
| SupplierPurchaseDiscount | string |
None. |
|
| ProductPurchaseNetPrice | decimal number |
None. |
|
| ProductProfitMargin | decimal number |
None. |
|
| ProductShowInSearchList | boolean |
None. |
|
| ProductShowOnWebshop | boolean |
None. |
|
| ProductShowOnHomePage | boolean |
None. |
|
| ProductAlternativeCode | string |
None. |
|
| ProductShowOnWebshopEnum | string |
None. |
|
| ProductIsInModula | boolean |
None. |
|
| StockLocationName | string |
None. |
|
| ModulaSlideNumber | string |
None. |
|
| TotalModula | decimal number |
None. |
|
| TotalNotModula | decimal number |
None. |
|
| Total | decimal number |
None. |
|
| ProductStockAmount | decimal number |
None. |
|
| CompanyId | integer |
None. |
|
| ImageName | string |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"productId": 1,
"productDescriptionShortLanguage01": "sample string 2",
"productDescriptionLongLanguage01": "sample string 3",
"productAlias": "sample string 4",
"productCode": "sample string 5",
"productBrand": "sample string 6",
"productCodeSupplier": "sample string 7",
"productCategory1": "sample string 8",
"productCategory2": "sample string 9",
"productCategory3": "sample string 10",
"productIsInUse": true,
"productDescriptionShortLanguage02": "sample string 12",
"productDescriptionLongLanguage02": "sample string 13",
"productDescriptionShortLanguage03": "sample string 14",
"productDescriptionLongLanguage03": "sample string 15",
"productDescriptionShortLanguage04": "sample string 16",
"productDescriptionLongLanguage04": "sample string 17",
"productDescriptionShortLanguage05": "sample string 18",
"productDescriptionLongLanguage05": "sample string 19",
"productDescriptionShortLanguage06": "sample string 20",
"productDescriptionLongLanguage06": "sample string 21",
"productSalesPrice": 22.0,
"productPurchasePrice": 23.0,
"supplierPurchaseDiscount": "sample string 24",
"productPurchaseNetPrice": 25.0,
"productProfitMargin": 26.0,
"productShowInSearchList": true,
"productShowOnWebshop": true,
"productShowOnHomePage": true,
"productAlternativeCode": "sample string 30",
"productShowOnWebshopEnum": "sample string 31",
"productIsInModula": true,
"stockLocationName": "sample string 33",
"modulaSlideNumber": "sample string 34",
"totalModula": 35.0,
"totalNotModula": 36.0,
"total": 37.0,
"productStockAmount": 38.0,
"companyId": 39,
"imageName": "sample string 40"
},
{
"productId": 1,
"productDescriptionShortLanguage01": "sample string 2",
"productDescriptionLongLanguage01": "sample string 3",
"productAlias": "sample string 4",
"productCode": "sample string 5",
"productBrand": "sample string 6",
"productCodeSupplier": "sample string 7",
"productCategory1": "sample string 8",
"productCategory2": "sample string 9",
"productCategory3": "sample string 10",
"productIsInUse": true,
"productDescriptionShortLanguage02": "sample string 12",
"productDescriptionLongLanguage02": "sample string 13",
"productDescriptionShortLanguage03": "sample string 14",
"productDescriptionLongLanguage03": "sample string 15",
"productDescriptionShortLanguage04": "sample string 16",
"productDescriptionLongLanguage04": "sample string 17",
"productDescriptionShortLanguage05": "sample string 18",
"productDescriptionLongLanguage05": "sample string 19",
"productDescriptionShortLanguage06": "sample string 20",
"productDescriptionLongLanguage06": "sample string 21",
"productSalesPrice": 22.0,
"productPurchasePrice": 23.0,
"supplierPurchaseDiscount": "sample string 24",
"productPurchaseNetPrice": 25.0,
"productProfitMargin": 26.0,
"productShowInSearchList": true,
"productShowOnWebshop": true,
"productShowOnHomePage": true,
"productAlternativeCode": "sample string 30",
"productShowOnWebshopEnum": "sample string 31",
"productIsInModula": true,
"stockLocationName": "sample string 33",
"modulaSlideNumber": "sample string 34",
"totalModula": 35.0,
"totalNotModula": 36.0,
"total": 37.0,
"productStockAmount": 38.0,
"companyId": 39,
"imageName": "sample string 40"
}
]
application/xml, text/xml
Sample:
<ArrayOfProductListVm xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Gruo.Core.ViewModels">
<ProductListVm>
<CompanyId>39</CompanyId>
<ImageName>sample string 40</ImageName>
<ModulaSlideNumber>sample string 34</ModulaSlideNumber>
<ProductAlias>sample string 4</ProductAlias>
<ProductAlternativeCode>sample string 30</ProductAlternativeCode>
<ProductBrand>sample string 6</ProductBrand>
<ProductCategory1>sample string 8</ProductCategory1>
<ProductCategory2>sample string 9</ProductCategory2>
<ProductCategory3>sample string 10</ProductCategory3>
<ProductCode>sample string 5</ProductCode>
<ProductCodeSupplier>sample string 7</ProductCodeSupplier>
<ProductDescriptionLongLanguage01>sample string 3</ProductDescriptionLongLanguage01>
<ProductDescriptionLongLanguage02>sample string 13</ProductDescriptionLongLanguage02>
<ProductDescriptionLongLanguage03>sample string 15</ProductDescriptionLongLanguage03>
<ProductDescriptionLongLanguage04>sample string 17</ProductDescriptionLongLanguage04>
<ProductDescriptionLongLanguage05>sample string 19</ProductDescriptionLongLanguage05>
<ProductDescriptionLongLanguage06>sample string 21</ProductDescriptionLongLanguage06>
<ProductDescriptionShortLanguage01>sample string 2</ProductDescriptionShortLanguage01>
<ProductDescriptionShortLanguage02>sample string 12</ProductDescriptionShortLanguage02>
<ProductDescriptionShortLanguage03>sample string 14</ProductDescriptionShortLanguage03>
<ProductDescriptionShortLanguage04>sample string 16</ProductDescriptionShortLanguage04>
<ProductDescriptionShortLanguage05>sample string 18</ProductDescriptionShortLanguage05>
<ProductDescriptionShortLanguage06>sample string 20</ProductDescriptionShortLanguage06>
<ProductId>1</ProductId>
<ProductIsInModula>true</ProductIsInModula>
<ProductIsInUse>true</ProductIsInUse>
<ProductProfitMargin>26</ProductProfitMargin>
<ProductPurchaseNetPrice>25</ProductPurchaseNetPrice>
<ProductPurchasePrice>23</ProductPurchasePrice>
<ProductSalesPrice>22</ProductSalesPrice>
<ProductShowInSearchList>true</ProductShowInSearchList>
<ProductShowOnHomePage>true</ProductShowOnHomePage>
<ProductShowOnWebshop>true</ProductShowOnWebshop>
<ProductShowOnWebshopEnum>sample string 31</ProductShowOnWebshopEnum>
<ProductStockAmount>38</ProductStockAmount>
<StockLocationName>sample string 33</StockLocationName>
<SupplierPurchaseDiscount>sample string 24</SupplierPurchaseDiscount>
<Total>37</Total>
<TotalModula>35</TotalModula>
<TotalNotModula>36</TotalNotModula>
</ProductListVm>
<ProductListVm>
<CompanyId>39</CompanyId>
<ImageName>sample string 40</ImageName>
<ModulaSlideNumber>sample string 34</ModulaSlideNumber>
<ProductAlias>sample string 4</ProductAlias>
<ProductAlternativeCode>sample string 30</ProductAlternativeCode>
<ProductBrand>sample string 6</ProductBrand>
<ProductCategory1>sample string 8</ProductCategory1>
<ProductCategory2>sample string 9</ProductCategory2>
<ProductCategory3>sample string 10</ProductCategory3>
<ProductCode>sample string 5</ProductCode>
<ProductCodeSupplier>sample string 7</ProductCodeSupplier>
<ProductDescriptionLongLanguage01>sample string 3</ProductDescriptionLongLanguage01>
<ProductDescriptionLongLanguage02>sample string 13</ProductDescriptionLongLanguage02>
<ProductDescriptionLongLanguage03>sample string 15</ProductDescriptionLongLanguage03>
<ProductDescriptionLongLanguage04>sample string 17</ProductDescriptionLongLanguage04>
<ProductDescriptionLongLanguage05>sample string 19</ProductDescriptionLongLanguage05>
<ProductDescriptionLongLanguage06>sample string 21</ProductDescriptionLongLanguage06>
<ProductDescriptionShortLanguage01>sample string 2</ProductDescriptionShortLanguage01>
<ProductDescriptionShortLanguage02>sample string 12</ProductDescriptionShortLanguage02>
<ProductDescriptionShortLanguage03>sample string 14</ProductDescriptionShortLanguage03>
<ProductDescriptionShortLanguage04>sample string 16</ProductDescriptionShortLanguage04>
<ProductDescriptionShortLanguage05>sample string 18</ProductDescriptionShortLanguage05>
<ProductDescriptionShortLanguage06>sample string 20</ProductDescriptionShortLanguage06>
<ProductId>1</ProductId>
<ProductIsInModula>true</ProductIsInModula>
<ProductIsInUse>true</ProductIsInUse>
<ProductProfitMargin>26</ProductProfitMargin>
<ProductPurchaseNetPrice>25</ProductPurchaseNetPrice>
<ProductPurchasePrice>23</ProductPurchasePrice>
<ProductSalesPrice>22</ProductSalesPrice>
<ProductShowInSearchList>true</ProductShowInSearchList>
<ProductShowOnHomePage>true</ProductShowOnHomePage>
<ProductShowOnWebshop>true</ProductShowOnWebshop>
<ProductShowOnWebshopEnum>sample string 31</ProductShowOnWebshopEnum>
<ProductStockAmount>38</ProductStockAmount>
<StockLocationName>sample string 33</StockLocationName>
<SupplierPurchaseDiscount>sample string 24</SupplierPurchaseDiscount>
<Total>37</Total>
<TotalModula>35</TotalModula>
<TotalNotModula>36</TotalNotModula>
</ProductListVm>
</ArrayOfProductListVm>